- Home
- API Enriched
- Shape
- shape
- Insight Personal Stats.
Insight Personal Stats.
POST
/api/shape/bot/namespaces/{namespace}/reporting/insight/personal-stats
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/reporting/insight/personal-stats';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"date":"example","namespace":"example","region":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/reporting/insight/personal-stats \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "date": "example", "namespace": "example", "region": "example" }'Insight Personal Stats.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace
x-required Namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Insight Request
Insight Request.
object
date
Date
Date Format: YYYY/MM/DD Required: YES.
string
namespace
Namespace
Namespace Required: YES.
string
region
Region
Region Required: YES.
string
Examplegenerated
{ "date": "example", "namespace": "example", "region": "example"}Responses
Section titled “Responses”A successful response.
Media typeapplication/json
Insight Personal Stats Response
Insight Personal Stats Response.
object
bots
Bots
Configuration parameter for bots
string format: uint64
human
Human
Configuration parameter for human
string format: uint64
Examplegenerated
{ "bots": "example", "human": "example"}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example